classification
Title: PIP package installation failure for multiple packages
Type: behavior Stage: resolved
Components: Installation Versions: Python 3.10
process
Status: closed Resolution: third party
Dependencies: Superseder:
Assigned To: Nosy List: christian.heimes, zayvelleman
Priority: normal Keywords:

Created on 2021-10-12 15:38 by zayvelleman, last changed 2021-10-14 17:14 by zayvelleman. This issue is now closed.

Messages (6)
msg403740 - (view) Author: Zayden Micheal James (zayvelleman) Date: 2021-10-12 15:38
When I try to install numpy using python version 3.10, pip version 21.2.4
it gives me a PEP517 error, with a bunch of other exceptions.

When I try to install tensorflow using python version 3.10, pip version 21.2.4 it gives me an error saying that there is no such package.

I've tried multiple pip and python combo's for installation... Aswell as inside and outside a virtual enviroment.
msg403750 - (view) Author: Eric V. Smith (eric.smith) * (Python committer) Date: 2021-10-12 18:48
You should report these problems to the numpy and tensorflow projects. I'm assuming they don't support 3.10 yet.
msg403868 - (view) Author: Zayden Micheal James (zayvelleman) Date: 2021-10-13 18:53
This issue is still persisting with other libraries aswell such as matplotlib and the above mentioned.
msg403869 - (view) Author: Zayden Micheal James (zayvelleman) Date: 2021-10-13 19:06
I am using Python 3.10 and PIP 21.2.4. All installations worked fine with Python 3.9. 

I tried combinations such as:

["pip", "pip3", "python3 -m pip", "python -m pip3", "python -m pip","python3 -m pip3"]

So far documented modules with problems are:

["numpy", "pandas", "tensorflow", "matplotlib"]

It is impossible for all of these libraries to be broken all at once with Python 3.10, PIP 21.2.4 and not be a problem with Python/PIP.
msg403900 - (view) Author: Christian Heimes (christian.heimes) * (Python committer) Date: 2021-10-14 12:46
This is not a problem that we can fix. Third party packages like numpy and tensorflow have not build and publish builds for Python 3.10 for all platforms yet.
msg403923 - (view) Author: Zayden Micheal James (zayvelleman) Date: 2021-10-14 17:14
Oh so the problem will resolve itself when they, support Python 3.10 PIP 21.2.4.

Sorry for the inconvenience. Can't wait for the libraries to be resolved and optimized
History
Date User Action Args
2021-10-14 17:14:13zayvellemansetmessages: + msg403923
2021-10-14 12:46:39christian.heimessetstatus: open -> closed

nosy: + christian.heimes
messages: + msg403900

resolution: third party
2021-10-13 19:06:14zayvellemansetmessages: + msg403869
2021-10-13 18:53:53zayvellemansetstatus: closed -> open

nosy: - eric.smith
messages: + msg403868

type: compile error -> behavior
resolution: third party -> (no value)
2021-10-12 18:48:25eric.smithsetstatus: open -> closed

nosy: + eric.smith
messages: + msg403750

resolution: third party
stage: resolved
2021-10-12 15:38:42zayvellemancreate